## org.hibernate.annotations
Annotation Type TypeDef

    @Target(value={TYPE,PACKAGE})
    @Retention(value=RUNTIME)
    public @interface TypeDef

Type definition

Required Element Summary
`Class<?>` `typeClass`

Optional Element Summary
`Class<?>` `defaultForType`
`String` `name`
`Parameter[]` `parameters`

Element Detail

### typeClass

    public abstract Class<?> typeClass

### name

    public abstract String name

  Default:
    ""

### defaultForType

    public abstract Class<?> defaultForType

  Default:
    void.class

### parameters

    public abstract Parameter[] parameters

  Default:
    {}

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.